package com.xxl.job.executor.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xxl.job.executor.common.entity.CtopOauthToken;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: oauth授权码
 * @Author: jeecg-boot
 * @Date: 2019-07-09
 * @Version: V1.0
 */
public interface CtopOauthTokenMapper extends BaseMapper<CtopOauthToken> {
    /**
     * 更新
     *
     * @param oauthToken
     * @return
     */
    int updateByPrimaryKeySelective(CtopOauthToken oauthToken);

    /**
     * 根据accountId查询
     *
     * @param accountId
     * @return
     */
    CtopOauthToken selectByAccountId(Long accountId);

    List<CtopOauthToken> selectKuaiShouToken();

    List<CtopOauthToken> selectKuaiShouTokenBefore();

    List<CtopOauthToken> selectToutiaoToken();

    CtopOauthToken getAccessTokenByAccountIdAndMediaId(@Param("mediaId") Integer mediaId, @Param("accountId") Long accountId);

    List<CtopOauthToken> getToutiaoTokenByCreateTime(@Param("createTime") String createTime);

    /**
     * 查询头条token
     *
     * @param platformTypeByteDance
     * @return
     */
    List<CtopOauthToken> selectByteDanceTokens(@Param("mediaId") String platformTypeByteDance);


    /**
     * 查询头条token
     *
     * @param platformTypeByteDance
     * @return
     */
    List<CtopOauthToken> selectKuaiShouTokens(@Param("mediaId") String platformTypeByteDance);

}
